> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Login with email

> Request a new login for a user to get a token. This will respond with a verification token and send an email to confirm the request. Once confirmed you can use the verification token to get an authentication token.



## OpenAPI

````yaml POST /auth/signin
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /auth/signin:
    post:
      tags:
        - authentication
      description: >-
        Request a new login for a user to get a token. This will respond with a
        verification token and send an email to confirm the request. Once
        confirmed you can use the verification token to get an authentication
        token.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  description: The user email.
                tokenName:
                  type: string
                  description: >-
                    The desired name for the token. It will be displayed on the
                    user account details.
              required:
                - email
      responses:
        '200':
          description: The request was successful and an email was sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: >-
                      The token used to verify the user accepted the login
                      request.
                  securityCode:
                    type: string
                    description: >-
                      The code the user is going to receive on the email. Must
                      be displayed to the user so they can verify the request is
                      the correct.
                required:
                  - token
                  - securityCode
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````